[Snort-devel] FreeBSD 5.0-CURRENT snort patch

Chris Green cmg at ...402...
Mon Jun 3 07:31:15 EDT 2002


Kris Kennaway <kris at ...1180...> writes:

> This patch is necessary to build snort-1.8.6 on FreeBSD 5.0-CURRENT;
> it works fine on FreeBSD 4.x as well.
>
> Kris
>
> --- plugbase.h.orig	Mon Jun  3 03:06:52 2002
> +++ plugbase.h	Mon Jun  3 03:06:59 2002
> @@ -99,7 +99,7 @@ #endif #if defined(FREEBSD) || defined(OPENBSD)
> -    #include <machine/param.h>
> +    #include <sys/param.h> #endif #if defined(SOLARIS)
>

Thanks.

#if defined(SOLARIS) || defined(FREEBSD) || defined(OPENBSD)
    #include <sys/param.h>
#endif

Changed to ( I don't think one is supposed to use machine/* directly )
so I changed it and it works on obsd as well. 
-- 
Chris Green <cmg at ...402...>
Don't use a big word where a diminutive one will suffice.




More information about the Snort-devel mailing list